Events API Resource

WS for toolsets

GET /events/json

Get list of events.

Try it out!

Response Body
media type data type description
application/json object (JSON) JSON Response with list of events

Example of response:

{"list":["DraftShared","DraftUnshared","SystemInfo"]}

GET /events/log/json

Try it out!

Request Parameters
name type description default constraints
filter query    
limit query 25 long
offset query 0 long
Response Body
media type data type description
application/json object (JSON)

DELETE /events/log/clear/byRange

Try it out!

Request Body
media type data type description
application/json UserLogSubscriptionsTO (JSON) format "{"range": 259200000}"
Response Body
media type data type description
application/json HdcSuccessTO (JSON)

DELETE /events/log/clear/list

Try it out!

Request Body
media type data type description
application/json HdcListTOOfHdcAdminModelTO (JSON) format "{"list":[{"id":27589},{"id":27587}]}"
Response Body
media type data type description
application/json HdcSuccessTO (JSON)

DELETE /events/log/clear/olderThan

Try it out!

Request Body
media type data type description
application/json UserLogSubscriptionsTO (JSON) format "{"olderThan":"2021-02-15"}"
Response Body
media type data type description
application/json HdcSuccessTO (JSON)